UHD 003.004.003-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Types | Public Member Functions | Public Attributes | List of all members
uhd::otw_type_t Struct Reference

`#include <deprecated.hpp>`

## Public Types
enum | { BO_NATIVE = int('='), BO_LITTLE_ENDIAN = int('<'), BO_BIG_ENDIAN = int('>'), BO_NOT_APPLICABLE = int('|') }

## Public Member Functions
size_t | get_sample_size (void) const
| otw_type_t (void)

## Public Attributes
size_t | width
size_t | shift
enum uhd::otw_type_t:: { ... } | byteorder

## Detailed Description

Description for over-the-wire integers: The DSP units in the FPGA deal with signed 16-bit integers. The width and shift define the translation between OTW and DSP, defined by the following relation: otw_int = dsp_int >> shift

Note: possible combinations of width, shift, and byteorder depend on the internals of the FPGA. Not all are supported!

## Member Enumeration Documentation

anonymous enum

Constants for byte order (borrowed from numpy's dtype)

Enumerator
BO_NATIVE |
BO_LITTLE_ENDIAN |
BO_BIG_ENDIAN |
BO_NOT_APPLICABLE |

## Constructor & Destructor Documentation

uhd::otw_type_t::otw_type_t | ( | void |  | ) |

## Member Function Documentation

size_t uhd::otw_type_t::get_sample_size | ( | void |  | ) | const

Get the sample size of this otw type.

Returns
  the size of a sample in bytes

## Member Data Documentation

enum { ... } uhd::otw_type_t::byteorder

size_t uhd::otw_type_t::shift

Shift of an over-the-wire integer in bits. otw_int = dsp_int >> shift dsp_int = otw_int << shift

size_t uhd::otw_type_t::width

Width of an over-the-wire integer in bits.

The documentation for this struct was generated from the following file:

- include/uhd/deprecated.hpp